# TCGBLaunching Class Reference

Inherits from | NSObject
Declared in | TCGBLaunching.h TCGBLaunching.m

## Overview

The TCGBLaunching class contains several informations that is received from the server after application is successfully launched.

## Launching Information

### `+ launchingStatus`

Launching Status which indicates whether the application is playable or not.

`+ (TCGBLaunchingStatus)launchingStatus`

#### Return Value

Launching Status which indicates whether the application is playable or not.

#### See Also

- `

  TCGBLaunchingStatus

  `

#### Declared In

`TCGBLaunching.h`

### `+ launchingInformations`

All Launching Information from the server.

`+ (nullable NSDictionary<NSString*,id> *)launchingInformations`

#### Return Value

All Launching Information from the server.

#### Declared In

`TCGBLaunching.h`

### `+ TCGBLaunchingInformations`

Launching Information related with TCGB launching service.

`+ (nullable NSDictionary<NSString*,id> *)TCGBLaunchingInformations`

#### Return Value

Launching Information related with TCGB launching service.

#### Declared In

`TCGBLaunching.h`

### `+ tcProductInformations`

Launching Information related with NHN Cloud product.

`+ (nullable TCGBTcProduct *)tcProductInformations`

#### Return Value

Launching Information related with NHN Cloud product.

#### Declared In

`TCGBLaunching.h`

### `+ tcLaunchingInformations`

Launching Information related with NHN Cloud launching.

`+ (nullable NSString *)tcLaunchingInformations`

#### Return Value

Launching Information related with NHN Cloud launching.

#### Declared In

`TCGBLaunching.h`

### `+ tcIAPInformations`

Launching Information related with NHN Cloud IAP.

`+ (nullable NSArray<TCGBTcIapStoreInfo*> *)tcIAPInformations`

#### Return Value

Launching Information related with NHN Cloud IAP.

#### Declared In

`TCGBLaunching.h`

## Private Methods

### `– requestLaunchingStatusWithClientVersion:completion:`

TAP-Client/176 : 다시 에러코드로

`- (void)requestLaunchingStatusWithClientVersion:(NSString *)clientVersion completion:(launchingCompletion)completion`

#### Declared In

`TCGBLaunching+Private.m`